#include "Launcher.hpp"
#include "Core.hpp"
#include "Asset.hpp"
#include "Renderer.hpp"
#include "Log.hpp"

std::unordered_map<std::string, sf::Texture> Asset::s_tex;
std::unordered_map<std::string, sf::SoundBuffer> Asset::s_snd;
std::unordered_map<std::string, sf::Font> Asset::s_fnt;

Launcher::Launcher():
m_running(true) {
	//m_window.create(sf::VideoMode(1280, 720), "That Time I Was Held Hostage - LD COMPO 47 - Stuck in a loop", sf::Style::Titlebar | sf::Style::Close | sf::Style::Fullscreen, sf::ContextSettings(0, 0, 0, 2, 0));
	//m_window.create(sf::VideoMode(1280, 720), "That Time I Was Held Hostage - LD COMPO 47 - Stuck in a loop", sf::Style::Titlebar | sf::Style::Close, sf::ContextSettings(0, 0, 0, 2, 0));
	m_window.create(sf::VideoMode(1280, 720), "That Time I Was Held Hostage - LD COMPO 47 - Stuck in a loop", sf::Style::None, sf::ContextSettings(0, 0, 0, 2, 0));
	m_window.setFramerateLimit(240);
	m_window.setPosition({ 0, 0 });
	m_window.setSize({sf::VideoMode::getDesktopMode().width, sf::VideoMode::getDesktopMode().height});
	m_window.setKeyRepeatEnabled(false);
	m_window.setVerticalSyncEnabled(true);

	launch();
}

void Launcher::launch() {
	Log(INFO, "Launching.");
	Core core(&m_window);
	core.run();
	Log(INFO, "Fin.");
}
